1. Raiz
FlamPix Gateway API
  • ๐Ÿ“œ API Overview
  • โš ๏ธ API Base URL Migration Notice โš ๏ธ
  • Docs
    • ๐Ÿ”‘ Authentication & HMAC Signing
    • ๐Ÿช Webhook
    • ๐Ÿงต Deposit Status Strings
    • ๐Ÿšฆ API Limits
  • Raiz
    • Create Deposit
      POST
    • Get Deposit Status
      GET
    • Get User Info
      GET
    • Health Check
      GET
    • Transaction Status Update
  • Schemas
    • Customer
    • DepositRequest
    • DepositResponse
    • UserInfoResponse
    • WebhookPayload
  1. Raiz

Get Deposit Status

GET
/deposits/{id}
Consult the current status of a specific deposit.

Request

Authorization
or
Path Params

Header Params

Responses

๐ŸŸข200
application/json
Deposit details retrieved.
Body

๐ŸŸ 404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/deposits/' \
--header 'X-FlamPix-Key;' \
--header 'X-FlamPix-Key: {{FLAMPIX_API_KEY}}' \
--header 'X-FlamPix-Timestamp;' \
--header 'X-FlamPix-Timestamp: {{X-FlamPix-Timestamp}}' \
--header 'X-FlamPix-Signature;' \
--header 'X-FlamPix-Signature: {{X-FlamPix-Signature}}'
Response Response Example
{
    "depositId": "33504022-daeb-4ddf-96f2-fc15aa4e6a52",
    "status": "awaiting_payment",
    "amount": {
        "grossInCents": 0,
        "feeInCents": 0,
        "netInCents": 0
    },
    "pix": {
        "qrCopyPaste": "string",
        "qrImageUrl": "http://example.com"
    },
    "feeBreakdown": {
        "percentInCents": 0,
        "fixedInCents": 0,
        "gatewayInCents": 0,
        "totalInCents": 0
    },
    "createdAt": "2019-08-24T14:15:22.123Z"
}
Modified atย 2025-12-22 21:14:25
Previous
Create Deposit
Next
Get User Info
Built with